with GNATCOM.Dispinterface;

package MSHTML.IHTMLInputElement3_Object is

   type IHTMLInputElement3_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_src
     (This : IHTMLInputElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_src
     (This : IHTMLInputElement3_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_lowsrc
     (This : IHTMLInputElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_lowsrc
     (This : IHTMLInputElement3_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_vrml
     (This : IHTMLInputElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_vrml
     (This : IHTMLInputElement3_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dynsrc
     (This : IHTMLInputElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dynsrc
     (This : IHTMLInputElement3_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLInputElement3_Object;

